/*
 * DelimitedLineRecordFieldConfig.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.accessor.fileaccess.flat.delimited;

/**
 * 可変長ファイルの設定ファイルのフィールド情報を保持するクラス。
 * @author Jianming Guo
 */
public class DelimitedLineRecordFieldConfig {

	/** フィールド名 */
	private String name = null;

	/** パターン */
	private String pattern = null;

	/** パターンクラス */
	private String patternClass = null;

	/** フィールド値のバイト数 */
	private String length = null;

	/** アラインメント指定子(左寄せ・右寄せ) */
	private String align = null;

	/** パディング文字 */
	private String padding = null;

	/** パターンタイプ */
	private String type = null;

	/**
	 * フィールド名を返します。
	 * @return フィールドネーム
	 */
	public String getName() {
		return name;
	}

	/**
	 * フィールド名を設定します。
	 * @param name フィールドネーム
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * パターンを返します。
	 * @return パターン
	 */
	public String getPattern() {
		return pattern;
	}

	/**
	 * パターンを設定します。
	 * @param pattern パターン
	 */
	public void setPattern(String pattern) {
		this.pattern = pattern;
	}

	/**
	 * パターンクラスを返します。
	 * @return パターンクラス
	 */
	public String getPatternClass() {
		return patternClass;
	}

	/**
	 * パターンクラスを設定します。
	 * @param patternClass パターンクラス
	 */
	public void setPatternClass(String patternClass) {
		this.patternClass = patternClass;
	}

	/**
	 * フィールド値のバイト数を返します。
	 * @return フィールド値のバイト数
	 */
	public String getLength() {
		return length;
	}

	/**
	 * フィールド値のバイト数を設定します。
	 * @param length フィールド値のバイト数
	 */
	public void setLength(String length) {
		this.length = length;
	}

	/**
	 * アラインメント指定子(左寄せ・右寄せ)を返します。
	 * @return アラインメント指定子
	 */
	public String getAlign() {
		return align;
	}

	/**
	 * アラインメント指定子(左寄せ・右寄せ)を設定します。
	 * @param align アラインメント指定子
	 */
	public void setAlign(String align) {
		this.align = align;
	}

	/**
	 * パディング文字を返します。
	 * @return パディング文字
	 */
	public String getPadding() {
		return padding;
	}

	/**
	 * パディング文字を設定します。
	 * @param padding パディング文字
	 */
	public void setPadding(String padding) {
		this.padding = padding;
	}

	/**
	 * パターンタイプを返します。
	 * @return パターンタイプ
	 */
	public String getType() {
		return type;
	}

	/**
	 * パターンタイプを設定します。
	 * @param type パターンタイプ
	 */
	public void setType(String type) {
		this.type = type;
	}
}
